<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html xmlns="http://www.w3.org/TR/REC-html40"> 
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>fwAccessControl_PrivilegeSelector.pnl 
panel</title>
<link rel="StyleSheet" HREF="style.css" TYPE="text/css" MEDIA="screen,print">
</head>
<body>
<table width="95%" border="1"><tbody>
<tr vAlign="top">
<td width="22%" bgColor="#00cc00"><strong>Panel Name</strong></td>
<td width="78%" colSpan="2">fwAccessControl/fwAccessControl_PrivilegeSelector.pnl</td>
</tr>
<tr vAlign="top">
<td bgColor="#00cc00"><strong>Introduction<br></strong></td>
<td colSpan="2">
<p>Access Right Selector Panel</p>
<p>    

    <p>
    This panel allows to select one of the access rights defined in the system. It is used, for instance,
    by the FSM tool to define the access right needed for operation of certain FSM nodes.<br>
    The panel is presented in Figure 1.
    <div xmlns:html="http://www.w3.org/1999/xhtml" class="figure"><table align="center">
<tr><td><img src="fwAccessControl_PrivilegeSelector.png"></td></tr>
<tr><td><span class="caption">Figure 1: Access Right selector panel</span></td></tr>
</table></div>
    </p>
    <p>
    	The access right is composed of two components: domain name and the name of the privilege level
    	in this domain. Conventionally, these two names are selected by colon (:) character, e.g.
    	<code>MyDCS:Control</code> or <code>MyDCS/Tracker/Pixel:UpgradeFirmware</code>
    	(in the latter example, presented in Figure 1, the domain name is <em>MyDCS/Tracker/Pixel</em>, and the
    	privilege chosen in this domain is <em>UpgradePixel</em>).
    </p>
    </p>
<br>
</td>
</tr>
<tr vAlign="top">
<td bgColor="#00cc00"><strong>Instructions</strong></td>
<td colSpan="2"><dl>
<dt xmlns:html="http://www.w3.org/1999/xhtml">To select an access right:</dt>
<dd xmlns:html="http://www.w3.org/1999/xhtml"> 
	The access right is composed of two components: 
	<ul>
	    <li> Select the domain name in the <em>Domain</em> combo box. The list of
	    Privileges below will be populated with the names of privileges in this domain</li>
	    <li> Click on the name of the privilege in the list</li>
	    <li> Press the <span class="button">OK</span> button to accept the selection</li>
	</ul>
    </dd>
<dt xmlns:html="http://www.w3.org/1999/xhtml">To cancel the selection without returning any value:</dt>
<dd xmlns:html="http://www.w3.org/1999/xhtml">
	Press the <span class="button">Cancel</span> button at any time.
    </dd>
</dl></td>
</tr>
<tr vAlign="top">
<td bgColor="#00cc00"><strong>Restrictions</strong></td>
<td colSpan="2"><ul></ul></td>
</tr>
</tbody></table>
<br><table width="95%" border="1"><tbody>
<tr bgColor="#00cc00"><td colSpan="3"><strong>Dollar Parameters</strong></td></tr>
<tr bgColor="#00cc00">
<td width="23%"><strong>Name</strong></td>
<td width="62%"><strong>Description</strong></td>
<td width="15%">&nbsp;</td>
</tr>
<tr xmlns:html="http://www.w3.org/1999/xhtml">
<td>$text</td>
<td> Defines the text that appears initially under the
    <em>Domain</em> combo box. If not specified this will be
    <em>Please select a domain</em> </td>
<td>optional</td>
</tr>
<tr xmlns:html="http://www.w3.org/1999/xhtml">
<td>$showSystemDomain</td>
<td> if set to TRUE, the system domain will
   be included in the list of domains (FALSE if the parameter is not specified)</td>
<td>optional</td>
</tr>
<tr xmlns:html="http://www.w3.org/1999/xhtml">
<td>$privilege</td>
<td> The access right which will be pre-set 
   when the panel is open. This may be used to set the "current access right" when the panel
   is opened. The access right needs to be specified in the (standard)
   <em>DomainName:PrivilegeName</em> format.</td>
<td>optional</td>
</tr>
</tbody></table>
<br>
<table width="95%" border="1"><tbody>
<tr bgColor="#00cc00"><td colSpan="3"><strong>Return Values from panel</strong></td></tr>
<tr><td colspan="3"> The panel should be opened using functions from the
	    <code>ChildPanel...Returns(... , df,ds)</code> family. <br>
	    When the panel is closed the following
	    values may be returned in the <code>df</code> and <code>ds</code> parameters:
	</td></tr>
<tr bgColor="#00cc00">
<td width="60"><strong>Variable</strong></td>
<td width="10%"><strong>Value(s)</strong></td>
<td><strong>Description</strong></td>
</tr>
<tr bgColor="#ccffcc"><td colspan="3" align="center">
<code>dyn_float</code>  parameter (<code>df[]</code>)</td></tr>
<tr xmlns:html="http://www.w3.org/1999/xhtml">
<td><code>df[1]</code></td>
<td><code>1</code></td>
<td> Access right was selected, <span class="button">OK</span> button pressed</td>
</tr>
<tr xmlns:html="http://www.w3.org/1999/xhtml">
<td><code>df[1]</code></td>
<td><code>0</code></td>
<td> Selection was cancelled, <span class="button">Cancel</span> button pressed</td>
</tr>
<tr bgColor="#ccffcc"><td colspan="3" align="center">
<code>dyn_string</code> parameter (<code>ds[]</code>)</td></tr>
<tr xmlns:html="http://www.w3.org/1999/xhtml">
<td><code>ds[1]</code></td>
<td><code></code></td>
<td> 
	    <ul>
    	    <li>If <code>df[1]==1</code>, (i.e. selection was not cancelled)
	 it will contain selected access right (in the 
	 <em>DomainName:PrivilegeName</em> format).</li>
	 
	<li> Otherwise <code>ds[]</code> will be empty </li>

	 </ul>
	 </td>
</tr>
</tbody></table>
<br><a href="../../fwAccessControl.htm">
Back to the documentation of the
	    fwAccessControl
component.
	    </a> <br xmlns:html="http://www.w3.org/1999/xhtml"><hr xmlns:html="http://www.w3.org/1999/xhtml">
<font xmlns:html="http://www.w3.org/1999/xhtml" size="-1"> Piotr Golonka, <a href="http://cern.ch/itcobe">CERN IT/CO-BE</a></font>
</body></html>
